# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "oxy/version"

Gem::Specification.new do |spec|
  spec.name          = "oxy"
  spec.version       = Oxy::VERSION
  spec.authors       = ["Pavel Tsurbeleu"]
  spec.email         = ["pavel.tsurbeleu@me.com"]

  spec.summary       = %q{Oxy is a web server for static sites}
  spec.homepage      = "http://oxy.io"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.executables   = ["oxy".freeze]
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency "rack", "~> 2.0"
  spec.add_runtime_dependency "rack-contrib", "~> 2.0.1"
  spec.add_runtime_dependency "puma", "~> 3.11"
  spec.add_runtime_dependency "threaded", "~> 0.0.4"
  spec.add_runtime_dependency "httparty", "~> 0.15.6"
  spec.add_runtime_dependency "safe_yaml", "~> 1.0.4"

  spec.add_development_dependency "bundler", "~> 1.15"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"
  spec.add_development_dependency "rack-test"

  spec.add_development_dependency "pry"
  spec.add_development_dependency "pry-byebug"
  spec.add_development_dependency "pry-doc"
  spec.add_development_dependency "pry-rescue"
  spec.add_development_dependency "pry-stack_explorer"
end
